
// Metoder2.java

/******************************************************************************
/ Metoder2.java gör om bokstäver i en vektor:
/   - Stora till små
/   - Små till stora
/
/ Programmet demonstrerar:
/
/   - Anrop av metod med vektor som parameter
/   - Global konstant
/   - Användning av resultat returnerat från metod
/
/*****************************************************************************/

public class Metoder2
{

	public static final byte	MAX_TAL = 6;

    public static void main(String[] args) throws Exception
    {
		char[]	t = new char[MAX_TAL];
		java.util.Scanner	in = new java.util.Scanner(System.in);

		System.out.println ("Mata in " + MAX_TAL + 
		                                " bokstäver, stora och små blandat :");

		for (int i = 0; i < MAX_TAL; i++)
			t[i] = (char) System.in.read ();

		bytStorlek (t);

		System.out.println (t);

    }

/******************************************************************************
/ Byter storlek på bokstäver i området a-z och A-Z. Övriga tecken lämnas
/ oändrade.
/
/ IN : (char[]) c : Teckenarray av godtycklig längd
/
/ UT : (char[]) c : In-array i vilken bokstäver bytt storlek
/
/*****************************************************************************/
    public static char[] bytStorlek(char[] c)
    {
		for (int i = 0; i < c.length; i++)
		{
			if ((c[i] >= 'a') && (c[i] <= 'z'))
				c[i] -= 32;
			else if ((c[i] >= 'A') && (c[i] <= 'Z'))
				c[i] += 32;
		}

		return c;
	}

}